<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback Method (IEdmHistory2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmHistory2 Interface : Rollback Method (IEdmHistory2)

Visual Basic
C#
C++/CLI

historyItem
  EdmHistoryItem to which to roll back

Rolls back the specified file.

# Syntax

Visual Basic |
--- | ---

    Sub Rollback( _
       ByRef historyItem As EdmHistoryItem _
    )

C# |
--- | ---

    void Rollback(
       ref EdmHistoryItem historyItem
    )

C++/CLI |
--- | ---

    void Rollback(
    &   EdmHistoryItem% historyItem
    )

#### Parameters

historyItem
  EdmHistoryItem to which to roll back

# Example

See the IEdmHistory3 examples.

# Remarks

To populate historyItem, get the collection of history items by calling IEdmHistory::GetHistory.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmHistory2 Interface
IEdmHistory2 Members

# Availability

SOLIDWORKS PDM Professional 2017